Bug 169368 - hostid returns sign extended 64 bit value (should be 32 bit)
hostid returns sign extended 64 bit value (should be 32 bit)
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: coreutils (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2005-09-27 11:51 EDT by Neil Johnson
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-08 12:37:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Neil Johnson 2005-09-27 11:51:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0; .NET CLR 1.1.4322)

Description of problem:
As reported in 
except for x86_64 arch.
(Description of problem:
when running hostid on a 64 bit arch, if the most significant bit of the hostid
value is 1, then the returned value will be a sign extended 64 bit value, rather
than the 32 bit value as defined in POSIX.

Version-Release number of selected component (if applicable):
5.2.1 (hostid)

How reproducible:

Steps to Reproduce:
1.set hostid to 8 char
2.host id gives 16 bit char


Expected Results:  (apparently answer should be 32 bit)
see 160078

Additional info:

unsurprisingly a ia64 arch has the same issue

Note You need to log in before you can comment on or make changes to this bug.